<p-breadcrumb [home]="{ routerLink:'../../', label: ' Bitácora', icon: 'pi pi-home' }"
  [model]="[{ routerLink: './',label: info | nameciCommit ,styleClass: info.type | classCommit}]">
</p-breadcrumb>
<div class="row bg-white mx-0 w-100 mt-4 pb-3">
  <div class="col">
    <p-fieldset  [legend]="info.type == 'Update' ? 'Estado actual':'Estado inicial'">
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Artículos impugnado(s):</strong> {{
                info.state?.articulosImpugnados}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Derecho(s) humano(s):</strong> {{
            info.state?.derechosHumanos}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Rubro(s) temático(s):</strong> 
             <div class="pl-3">
                 <p *ngFor="let rubro of info.state?.rubrosTematicosPrincipal; let i =index">
                    {{(i+1) + '. '+ rubro}}
                 </p>
             </div> 
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Texto votación:</strong> {{
            info.state?.textoVotacion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación a favor:</strong>
            <div class="pl-3">
                <p *ngFor="let favor of info.state?.votacionFavor; let i =index">
                   {{(i+1) + '. '+ favor}}
                </p>
            </div> 
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación en contra:</strong>
            <div class="pl-3">
                <p *ngFor="let contra of info.state?.votacionEnContra; let i =index">
                   {{(i+1) + '. '+ contra}}
                </p>
            </div> 
        </span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Consideraciones aprobadas por ocho votos o más:</strong> {{
            info.state?.aprobadasConcideraciones ? 'Sí' :'No'}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Sentido de la resolución:</strong> {{
            info.state?.sentidoResolucion}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Metodología de análisis de constitucionalidad:</strong> {{
            info.state?.metodologiaAnalisisConstitucionalidad}}</span>
      </div>
      <div class="d-flex align-items-center font-s mb-2">
        <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de sentencia:</strong> {{
            info.state?.tipoSentencia}}</span>
      </div>
    </p-fieldset>
  </div>
  <div class="col" *ngIf="info.beginState">
    <p-fieldset [legend]="info.type == 'Update' ? 'Estado inical':'Estado actual'">
        <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Artículos impugnado(s):</strong> {{
                    info.beginState?.articulosImpugnados}}</span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Derecho(s) humano(s):</strong> {{
                info.beginState?.derechosHumanos}}</span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Rubro(s) temático(s):</strong> 
                 <div class="pl-3">
                     <p *ngFor="let rubro of info.beginState?.rubrosTematicosPrincipal; let i =index">
                        {{(i+1) + '. '+ rubro}}
                     </p>
                 </div> 
            </span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Texto votación:</strong> {{
                info.beginState?.textoVotacion}}</span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación a favor:</strong>
                <div class="pl-3">
                    <p *ngFor="let favor of info.beginState?.votacionFavor; let i =index">
                       {{(i+1) + '. '+ favor}}
                    </p>
                </div> 
            </span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Votación en contra:</strong>
                <div class="pl-3">
                    <p *ngFor="let contra of info.beginState?.votacionEnContra; let i =index">
                       {{(i+1) + '. '+ contra}}
                    </p>
                </div> 
            </span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Consideraciones aprobadas por ocho votos o más:</strong> {{
                info.beginState?.aprobadasConcideraciones? 'Sí' :'No'}}</span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Sentido de la resolución:</strong> {{
                info.beginState?.sentidoResolucion}}</span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Metodología de análisis de constitucionalidad:</strong> {{
                info.beginState?.metodologiaAnalisisConstitucionalidad}}</span>
          </div>
          <div class="d-flex align-items-center font-s mb-2">
            <i class="pi pi-chevron-right mr-2"></i><span><strong>Tipo de sentencia:</strong> {{
                info.beginState?.tipoSentencia}}</span>
          </div>
    </p-fieldset>
  </div>
</div>
